## org.apache.lucene.analysis.th
Class ThaiWordFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.th.ThaiWordFilter

    public class ThaiWordFilter

extends TokenFilter

TokenFilter that use java.text.BreakIterator to break each Token that is Thai into separate Token(s) for each Thai word.

Version:
  0.2
Author:
  Samphan Raruenrom <samphan@osdev.co.th> for To-Be-One Technology Co., Ltd.

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`ThaiWordFilter(TokenStream input)`

Method Summary
`Token` `next()` Returns the next token in the stream, or null at EOS.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThaiWordFilter

    public ThaiWordFilter(TokenStream input)

Method Detail

### next

    public Token next()
               throws IOException

  Description copied from class: `TokenStream`
  Returns the next token in the stream, or null at EOS. The returned Token is a "full private copy" (not re-used across calls to next()) but will be slower than calling `TokenStream.next(Token)` instead..

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.